Skip to content

WireMisc⁠

Perform various operations for Symitar parameters.

Operations⁠

getWireMiscSelectFields⁠

POST

Execute the persistent ParameterService getWireMiscSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWireMiscSelectFields
POST /nexum/627/persistent/parameter/getWireMiscSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllWireMiscFields": true,
    "WireMiscFields": {
      "DefaultBusinessFunctionCode": true,
      "FedFormat": true,
      "IncomingCorpWireGlOffset": true,
      "IncomingMemberWireGlOffset": true,
      "IncomingWireDepServiceCode": true,
      "NewWireCutoffTime": true,
      "OutgoingCorpWireGlOffset": true,
      "OutgoingMemberWireGlOffset": true,
      "OutgoingWesternUnionGlOffs": true,
      "OutgoingWireListSrvcCode": true,
      "OutgoingWireWdServiceCode": true,
      "PreAuthWireCutoffTime": true,
      "SenderFi": true,
      "SenderName": true,
      "Threshold": true,
      "WesternUnionXferCutoffTime": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateWireMiscByID⁠

POST

Execute the persistent ParameterService updateWireMiscByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateWireMiscByID
POST /nexum/627/persistent/parameter/updateWireMiscByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "WireMiscFields": {
    "DefaultBusinessFunctionCode": "string",
    "FedFormat": 0,
    "IncomingCorpWireGlOffset": "string",
    "IncomingMemberWireGlOffset": "string",
    "IncomingWireDepServiceCode": 0,
    "NewWireCutoffTime": 0,
    "OutgoingCorpWireGlOffset": "string",
    "OutgoingMemberWireGlOffset": "string",
    "OutgoingWesternUnionGlOffs": "string",
    "OutgoingWireListSrvcCode": 0,
    "OutgoingWireWdServiceCode": 0,
    "PreAuthWireCutoffTime": 0,
    "SenderFi": "string",
    "SenderName": "string",
    "Threshold": 0,
    "WesternUnionXferCutoffTime": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}